all: test.exe

test.exe: test.o
	gcc -mthreads -g -O2 -lpthreadVC2 -o test.exe test.o

test.o : test.c
	gcc -mthreads -g -O2 -MT test.o -MD -MP -c -o test.o test.c

clean: 
	if `test -e test.o`; then rm test.o;fi 
	if `test -e test.exe`; then rm test.o; fi


	
